<?php


namespace AutoAdmin\Bundle\Content\Model;


use AutoAdmin\Bundle\Content\Entity\Domain;
use AutoAdmin\Bundle\Content\Entity\Logo;
use AutoAdmin\Bundle\Content\Entity\Site;
use Doctrine\Common\Collections\Collection;

interface SiteEntityInterface
{
    public function getDomains(): Collection;

    public function setDomains(Collection $domains): self;

    public function addDomain(Domain $domain);

    public function removeDomain(Domain $domain);

    public function getEnabled(): bool;

    public function setEnabled(bool $enabled): self;

    public function isSameAs(Site $site): bool;
}